Name: luminance-hdr
Version: 2.1.0
Release: 2%{?dist}
Summary: A graphical tool for creating and tone-mapping HDR images

Group: Applications/Productivity
License: GPLv2+
URL: http://qtpfsgui.sourceforge.net/
Source0: http://downloads.sourceforge.net/qtpfsgui/%{name}-%{version}.tar.gz
#Patch0: qtpfsgui-1.9.3-disable-sse2.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: qt4-devel
BuildRequires: qt-webkit-devel
BuildRequires: OpenEXR-devel
BuildRequires: exiv2-devel
BuildRequires: fftw-devel
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel
BuildRequires: gsl-devel
BuildRequires: LibRaw-devel
BuildRequires: desktop-file-utils

%description
Luminance is a graphical program for assembling bracketed photos into High
Dynamic Range (HDR) images.  It also provides a number of tone-mapping
operators for creating low dynamic range versions of HDR images.


%prep
%setup -q


#%ifnarch x86_64
#%patch0 -p1
#%endif

# fix inconsistant newlines
%{__sed} -i 's/\r//' Changelog


%build
qmake-qt4 PREFIX=%{_prefix}
make %{_smp_mflags}
lrelease-qt4 project.pro

%install
rm -rf %{buildroot}
make install -e INSTALL_ROOT=%{buildroot} COPY="cp -pf"
mkdir -p %{buildroot}/%{_datadir}/%{name}/i18n
cp -pf i18n/*.qm %{buildroot}/%{_datadir}/%{name}/i18n

desktop-file-install --vendor="fedora" --delete-original \
	--dir=%{buildroot}/%{_datadir}/applications \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-, root, root)
%doc AUTHORS Changelog LICENSE README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png


%changelog
* Fri Sep 9 2011 Thibault North <tnorth@fedoraproject.org> 2.1.0-2
- Fix archive name for inclusion in Fedora

* Sat Aug 20 2011 Franco Comida <fcomida@users.sourceforge.net> 2.1.0-1
- Version 2.1.0
* Mon Jul 11 2011 Franco Comida <fcomida@users.sourceforge.net> 2.1.0-beta1
* Fri Dec 03 2010 Franco Comida <fcomida@users.sourceforge.net> 2.0.2-pre1
- released 2.0.2-pre1, name changed to luminance-hdr
* Fri Dec 03 2010 Franco Comida <fcomida@users.sourceforge.net> 2.0.1-1
- updated to 2.0.1-1
* Sun May 23 2010 Franco Comida <fcomida@users.sourceforge.net> 2.0.0
- 2.0 final
* Tue Nov 24 2009 Franco Comida <fcomida@users.sourceforge.net> 2.0.0-beta
- Initial version

